/******************************************************************************
 * This file is part of a software distribution, which is furnished under the *
 * terms of a license.  Use of this software  by any means is subject to this *
 * license  and  signifies  the  acceptance of  the  licensing  terms  stated *
 * therein. Please see  the file LICENSE in the  top-level directory  of this *
 * software  distribution  for detailed copyright  disclaimers  and licensing *
 * terms.                                                                     *
 ******************************************************************************
 * Copryight (c) by Andreas S. Wetzel - All rights reserved.                  *
 ******************************************************************************/

/* $Id: ascii.h,v 1.2 2001/03/19 14:54:03 mickey Exp $ */

#ifndef __ASCII_H__
#define __ASCII_H__

/***************************************
 * ASCII control-character definitions *
 ***************************************/

#define		NUL		0x00
#define		SOH		0x01 
#define		STX		0x02 
#define		ETX		0x03 
#define		EOT		0x04
#define		ENQ		0x05  
#define		ACK		0x06
#define		BEL		0x07 
#define         BS		0x08 
#define		HT		0x09 
#define		LF		0x0A
#define		VT		0x0B
#define		FF		0x0C 
#define		CR		0x0D
#define		SO		0x0E  
#define		SI		0x0F
#define		DLE		0x10
#define		DC1		0x11
#define		DC2		0x12
#define		DC3		0x13
#define		DC4		0x14
#define		NAK		0x15
#define		SYN		0x16
#define		ETB		0x17
#define		CAN		0x18
#define		EM		0x19 
#define		SUB		0x1A
#define		ESC		0x1B
#define		FS		0x1C
#define		GS		0x1D
#define		RS		0x1E
#define		US		0x1F
#define		DEL		0x7F

#define		CSI		0x9B

/***************************
 * Control key definitions *
 ***************************/

#define		CTL_A		SOH
#define		CTL_B		STX
#define		CTL_C		ETX
#define		CTL_D		EOT
#define		CTL_E		ENQ
#define		CTL_F		ACK
#define		CTL_G		BEL
#define         CTL_H		BS
#define		CTL_I		HT
#define		CTL_J		LF
#define		CTL_K		VT
#define		CTL_L		FF
#define		CTL_M		CR
#define		CTL_N		SO
#define		CTL_O		SI
#define		CTL_P		DLE
#define		CTL_Q		DC1
#define		CTL_R		DC2
#define		CTL_S		DC3
#define		CTL_T		DC4
#define		CTL_U		NAK
#define		CTL_V		SYN
#define		CTL_W		ETB
#define		CTL_X		CAN
#define		CTL_Y		EM
#define		CTL_Z		SUB

#endif /* __ASCII_H__ */
