/******************************************************************************
 * This file is part of a software distribution, which is furnished under the *
 * terms of a license.  Use of this software  by any means is subject to this *
 * license  and  signifies  the  acceptance of  the  licensing  terms  stated *
 * therein. Please see  the file LICENSE in the  top-level directory  of this *
 * software  distribution  for detailed copyright  disclaimers  and licensing *
 * terms.                                                                     *
 ******************************************************************************
 * Copryight (c) by Andreas S. Wetzel - All rights reserved.                  *
 ******************************************************************************/

/* $Id: options.h,v 1.3 2001/03/19 23:17:28 mickey Exp $ */

#ifndef __OPTIONS_H__
#define __OPTIONS_H__

/*
 * XXX Experimental only
 *
 * ENABLE EXPERIMENTAL SHELLMODE FEATURE
 */

#define	SHELLMODE		1

/*
 * The default TCP port number that the client uses to connect to the server.
 */

#define	SERVER_PORT		1168

/*
 * The size in bytes of various communication buffers
 * used around to receive and process server messages.
 */

#define	SVMSGBUF		8192

/*
 * The size in bytes of the input buffer used in vchat and vchatd.
 */

#define	EDBUFSIZE		1024

/*
 * The number of command history lines available in vchat/vchatd.
 * This value may be overridden in vchat by the user's .vchatrc file.
 */

#define	HISTORY_LINES		20

/*
 * HELP_DISPLAY causes the status display for the currently connected
 * vserver to be flipped every HELP_DISPLAY_CYCLE seconds to display
 * a small help message.
 */

#define HELP_DISPLAY		0	/* 0 = Disable / 1 = Enable */
#define HELP_DISPLAY_CYCLE	40
#define HELP_DISPLAY_DURATION	4

/*
 * [vchatd only!]
 *
 * The number of seconds to wait on program exit. This allows users
 * to read the text the program outputs before exiting i.e. before
 * their TELNET window is closed.
 */

#define	VCHATD_WAITONEXIT	4

/*
 * [vchatd only!]
 *
 * Define this to the path of the terminfo database to be
 * put into the TERMINFO environment by vchatd. Normally
 * the TERMINFO variable will not be touched by vchatd.
 */

#if 0
  #define	FORCE_LOCAL_TERMINFO	"/EUnet/home/mickey/.terminfo"
#else
  #undef	FORCE_LOCAL_TERMINFO
#endif

/*
 * [vchatd only!]
 *
 * This is used in vchatd when retrieving the terminal type via
 * telnet option negotiation. In the following the FALLBACK_TTYPE
 * will be used if none common terminaltype could be negotiated
 * using the telnet protocol. The DEFAULT_TTYPE will be used,
 * if the client which connected us does not support the TTYPE
 * option at all.
 */

#define		FALLBACK_TTYPE	"vt100"
#define		DEFAULT_TTYPE	"vt100"

/*-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=--=-=-=-=-=-*/
/* -E-N-D- of compile time  configuration section */
/*-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=--=-=-=-=-=-*/

#endif /* __OPTIONS_H__ */
