/******************************************************************************
 * This file is part of a software distribution, which is furnished under the *
 * terms of a license.  Use of this software  by any means is subject to this *
 * license  and  signifies  the  acceptance of  the  licensing  terms  stated *
 * therein. Please see  the file LICENSE in the  top-level directory  of this *
 * software  distribution  for detailed copyright  disclaimers  and licensing *
 * terms.                                                                     *
 ******************************************************************************
 * Copryight (c) by Andreas S. Wetzel - All rights reserved.                  *
 ******************************************************************************/

/* $Id: proto_vchat.h,v 1.2 2001/03/19 14:54:05 mickey Exp $ */

#ifndef __PROTO_VCHAT_H__
#define __PROTO_VCHAT_H__

#include <proto_common.h>

/*** vc_commands.c ***/

void handle_cmd(char *cmd);
void logcmd(char *dat);
void chserver(char *dat);

/*** vc_genvldat.c ***/

VLOGINDAT *genvldat(void);
VIDENT *ident(void);

/*** vc_help.c ***/

void	help(void);
void	ext_help(void);
void	version_info(void);

/*** vc_input.c ***/

int	input_line(char *prompt, size_t maxlen, u_short flags);

/*** vc_main.c ***/

int	main(int argc, char *argv[]);

/*** vc_resize.c ***/

void	resize(void);

/*** vc_subr.c ***/

int	init(void);
int	get_param(int argc, char *argv[]);
void	vquit(char *fmt, ...);
SIZE	*getsize(void);
void	ring_my_bell(char *dat, size_t size);
int	read_string(u_char *buf, size_t len, char doecho);

/*** vc_tty.c ***/

void	tty_mode(int mode);

/*** vc_usage.c ***/

void	usage(char *fmt, ...);

/*** vc_vchatrc.c ***/

void	vchatrc_load(void);
void	vchatrc_parseargs(char *arg);
void	vchatrc_setvar(char *s1, char *s2);
void	vchatrc_unsetvar(char *s1);


#endif /* __PROTO_VCHAT_H__ */
