/******************************************************************************
 * This file is part of a software distribution, which is furnished under the *
 * terms of a license.  Use of this software  by any means is subject to this *
 * license  and  signifies  the  acceptance of  the  licensing  terms  stated *
 * therein. Please see  the file LICENSE in the  top-level directory  of this *
 * software  distribution  for detailed copyright  disclaimers  and licensing *
 * terms.                                                                     *
 ******************************************************************************
 * Copryight (c) by Andreas S. Wetzel - All rights reserved.                  *
 ******************************************************************************/

/* $Id: vc_resize.c,v 1.2 2001/03/19 14:54:04 mickey Exp $ */

#include <vchat.h>
#include <proto_vchat.h>

/********* Globals **********/

extern ED *ed;
extern VTCAP vtcap;

extern u_char is_handler;

/*********** Code ***********/

void resize(void)
{
	SIZE *sz;

	int x =0;
	int tx = 0;
	int ty = 0;

	is_handler = 1;

	/*
	 * Now we don't give up, til
	 * the screen has an acceptable
	 * size.
	 */

	do
	{
		sz = getsize();

		vtcap.cols = sz->x;
		vtcap.rows = sz->y;

		if(vtcap.cols < 25 || vtcap.rows < 4)
		{
			if(vtcap.cols != tx || vtcap.rows != ty)
				x = 0;

			if(!x)
			{
				cls();
				printf(" Inefficient screensize\n");
				printf("Resize window to at least\n");
				printf("          25 x 4\n");

				tx = vtcap.cols;
				ty = vtcap.rows;

				x = 0xff;
			}

			vsleep(0, 0x186A0);
		}
	}
	while(vtcap.cols < 25 || vtcap.rows < 4);

	cls();

	alter_status(STAT_SIZE, "%dx%d ", vtcap.cols, vtcap.rows);

	update_status(1);

	scroll_reg(1, vtcap.rows - 2);

	if((ed->curpos - ed->margin) > vtcap.cols)
		ed->margin = (char *)(ed->curpos - vtcap.cols + 1);

	line_update();

	is_handler = 0;
}
