/******************************************************************************
 * This file is part of a software distribution, which is furnished under the *
 * terms of a license.  Use of this software  by any means is subject to this *
 * license  and  signifies  the  acceptance of  the  licensing  terms  stated *
 * therein. Please see  the file LICENSE in the  top-level directory  of this *
 * software  distribution  for detailed copyright  disclaimers  and licensing *
 * terms.                                                                     *
 ******************************************************************************
 * Copryight (c) by Andreas S. Wetzel - All rights reserved.                  *
 ******************************************************************************/

/* $Id: proto_vchatd.h,v 1.2 2001/03/19 14:54:06 mickey Exp $ */

#ifndef __PROTO_VCHATD_H__
#define __PROTO_VCHATD_H__

#include <proto_common.h>

/*** vd_commands.c ***/

void	handle_cmd(char *cmd);

/*** vd_genvldat.c ***/

VLOGINDAT	*genvldat(void);
VIDENT		*ident(void);

/*** vd_help.c ***/

void	help(void);
void	ext_help(void);
void	version_info(void);

/*** vd_input.c ***/

int	input_line(char *prompt, size_t maxlen, u_short flags);

/*** vd_log.c ***/

void	log(int priority, char *fmt, ...);

/*** vd_main.c ***/

int	main(int argc, char *argv[]);

/*** vd_resize.c ***/

void	resize(void);

/*** vd_subr.c ***/

int	get_param(int argc, char *argv[]);
void	vquit(char *fmt, ...);
SIZE	*getsize(void);
void	ring_my_bell(char *dat, size_t size);

/*** vd_telopts.c ***/

void	dooption(u_char opcode);
void	dontoption(u_char opcode);
void	willoption(u_char opcode);
void	wontoption(u_char opcode);
void	handle_suboption(void);

/*** vd_telproto.c ***/

void	send_do(int opcode, int bypass);
void	send_dont(int opcode, int bypass);
void	send_will(int opcode, int bypass);
void	send_wont(int opcode, int bypass);
int	request_termtype(void);
int	cmd_loop(void);

/*** vd_telsubr.c ***/

int	init_telnet_conn(void);
int	query_nickname(void);
int	get_user_input(char *buf, size_t size, char doecho);
int	negotiate_telopts(void);
void	show_banner(void);
void	init_tel_opts(void);
u_char	tel_filter(u_char c);
int	check_termtype(char *s);

/*** vd_usage.c ***/

void	usage(char *fmt, ...);

#endif /* __PROTO_VCHATD_H__ */
